summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEray Aslan <eras@gentoo.org>2017-07-03 17:01:31 +0300
committerEray Aslan <eras@gentoo.org>2017-07-03 17:10:38 +0300
commitf9a181f39e6a1ad6f3a5b2ec3c8f9301d8d4286e (patch)
tree1af709324b8aac871355606270722978a9e43ce5 /mail-filter/maildrop
parentnet-libs/courier-authlib: bump to 0.68.0 (diff)
downloadgentoo-f9a181f39e6a1ad6f3a5b2ec3c8f9301d8d4286e.tar.gz
gentoo-f9a181f39e6a1ad6f3a5b2ec3c8f9301d8d4286e.tar.bz2
gentoo-f9a181f39e6a1ad6f3a5b2ec3c8f9301d8d4286e.zip
mail-filter/maildrop: bump to 2.9.0
Package-Manager: Portage-2.3.6, Repoman-2.3.2
Diffstat (limited to 'mail-filter/maildrop')
-rw-r--r--mail-filter/maildrop/Manifest1
-rw-r--r--mail-filter/maildrop/maildrop-2.9.0.ebuild138
2 files changed, 139 insertions, 0 deletions
diff --git a/mail-filter/maildrop/Manifest b/mail-filter/maildrop/Manifest
index 4d7890107c8..8aea720df07 100644
--- a/mail-filter/maildrop/Manifest
+++ b/mail-filter/maildrop/Manifest
@@ -1,3 +1,4 @@
DIST maildrop-2.6.0.tar.bz2 2174922 SHA256 afc115119b2d3197c565002e158c2cb69d525288bf72c71919c3c74096b824a9 SHA512 210841add8aff389589802f15ea74776815ecfd0dd9d5fb4f244d101e3d3f5dbb833a38f1d539b869c49685cfe34b0e6e014a5888c2537c9d89c68d754248db4 WHIRLPOOL c6d8f2be69a02fa757ac4dd653c22c79c8da6c2c1c112d48e0d4c491238d20e4c093d01f728ea337b1ba12bc75d88c5a252ff036114fe2339666776f2be44e80
DIST maildrop-2.8.3.tar.bz2 1992695 SHA256 58245ccd759382761c4cdbeaefbd37622e01f1c48e71251b06ea085a890ce6c9 SHA512 25168945764eda5c74641e205e3c784ca2ae27c15a5a6ddfe7a1c7b238cd6c3d5b0a3f7ce8b405b578d067f6f2aae5d7d6110da8bc89f91ac1c7fdc224ffd054 WHIRLPOOL 9d8ea100ad125e814663c76539b41f208448b3259193008fade1291de7ec98efe8cf5b9f8b7f267acc9be78ccba1b28a8165d99d59d7d6ada4b99aa10cd163ea
DIST maildrop-2.8.5.tar.bz2 2072987 SHA256 c21174ef882aeb169031bb5886b55959687074415153232f4c60695405fcddb1 SHA512 c04120af29ee8e72aeabd211301c5052fe4a2dc0f337074e1fa57b8adb9652512cd744e0bba3894a8b0e3b21a3511bbf4a4f045faec3536edb8be0f8bdc84cf5 WHIRLPOOL 03ba0c152fd8738f8d34a48062cc0a27c3580d2dd8bcfafb4fbde7c87ae420d6a82ad59cc644606129b4e8c983785846684d92e93ef0ae9b43832d39f12ea140
+DIST maildrop-2.9.0.tar.bz2 2075698 SHA256 6f1b2db822a34d8256d9cc2a011e5a2c6b7e6dd01ed66881cd6fce6f4eb5981c SHA512 366a04d1e6e10ef1c824fbb5dfe406ff74fe17b80a46619fd8aa8cde3b4fef9a10b4ed3cc6329ed04632582d58104aaf16134c6dc82e17917b82fb6f18316dd6 WHIRLPOOL 688802e8c9e2652e5350d117b1ebdfd6334de217e37387a9199a48da018f05deb18d84003ac36618aaa16fe03df504461d5adeeef0534f0b0c8708cf83fa5c19
diff --git a/mail-filter/maildrop/maildrop-2.9.0.ebuild b/mail-filter/maildrop/maildrop-2.9.0.ebuild
new file mode 100644
index 00000000000..bd60d956234
--- /dev/null
+++ b/mail-filter/maildrop/maildrop-2.9.0.ebuild
@@ -0,0 +1,138 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit flag-o-matic autotools
+
+DESCRIPTION="Mail delivery agent/filter"
+[[ -z ${PV/?.?/} ]] && SRC_URI="mirror://sourceforge/courier/${P}.tar.bz2"
+[[ -z ${PV/?.?.?/} ]] && SRC_URI="mirror://sourceforge/courier/${P}.tar.bz2"
+[[ -z ${SRC_URI} ]] && SRC_URI="http://www.courier-mta.org/beta/${PN}/${P%%_pre}.tar.bz2"
+HOMEPAGE="http://www.courier-mta.org/maildrop/"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
+IUSE="berkdb debug dovecot fam gdbm ldap mysql postgres static-libs authlib +tools trashquota"
+
+CDEPEND="!mail-mta/courier
+ net-mail/mailbase
+ dev-libs/libpcre
+ net-dns/libidn
+ >=net-libs/courier-unicode-2.0
+ gdbm? ( >=sys-libs/gdbm-1.8.0 )
+ mysql? ( net-libs/courier-authlib )
+ postgres? ( net-libs/courier-authlib )
+ ldap? ( net-libs/courier-authlib )
+ authlib? ( net-libs/courier-authlib )
+ fam? ( virtual/fam )
+ !gdbm? (
+ berkdb? ( >=sys-libs/db-3:* )
+ )
+ tools? (
+ !mail-mta/netqmail
+ !net-mail/courier-imap
+ !mail-mta/mini-qmail
+ )"
+DEPEND="${CDEPEND}
+ virtual/pkgconfig"
+RDEPEND="${CDEPEND}
+ dev-lang/perl
+ dovecot? ( net-mail/dovecot )"
+REQUIRED_USE="mysql? ( authlib )
+ postgres? ( authlib )
+ ldap? ( authlib )"
+
+S=${WORKDIR}/${P%%_pre}
+
+src_prepare() {
+ # Prefer gdbm over berkdb
+ if use gdbm ; then
+ use berkdb && elog "Both gdbm and berkdb selected. Using gdbm."
+ fi
+
+ if ! use fam ; then
+ epatch "${FILESDIR}"/${PN}-disable-fam.patch
+ fi
+
+ # no need to error out if no default - it will be given to econf anyway
+ sed -i -e \
+ 's~AC_MSG_ERROR(Cannot determine default mailbox)~SPOOLDIR="./.maildir"~' \
+ "${S}"/libs/maildrop/configure.ac || die "sed failed"
+
+ epatch "${FILESDIR}"/${PN}-testsuite-r2.patch
+ eapply_user
+ eautoreconf
+}
+
+src_configure() {
+ local myconf
+ local mytrustedusers="apache dspam root mail fetchmail"
+ mytrustedusers+=" daemon postmaster qmaild mmdf vmail alias"
+
+ # These flags make maildrop cry
+ replace-flags -Os -O2
+ filter-flags -fomit-frame-pointer
+
+ if use gdbm ; then
+ myconf="${myconf} --with-db=gdbm"
+ elif use berkdb ; then
+ myconf="${myconf} --with-db=db"
+ else
+ myconf="${myconf} --without-db"
+ fi
+
+ if ! use mysql && ! use postgres && ! use ldap && ! use authlib ; then
+ myconf="${myconf} --disable-authlib"
+ fi
+
+ # Default mailbox is $HOME/.maildir for Gentoo
+ maildrop_cv_SYS_INSTALL_MBOXDIR="./.maildir" econf \
+ $(use_enable fam) \
+ --disable-dependency-tracker \
+ --with-devel \
+ --disable-tempdir \
+ --enable-syslog=1 \
+ --enable-use-flock=1 \
+ --enable-use-dotlock=1 \
+ --enable-restrict-trusted=1 \
+ --enable-trusted-users="${mytrustedusers}" \
+ --enable-maildrop-uid=root \
+ --enable-maildrop-gid=mail \
+ --enable-sendmail=/usr/sbin/sendmail \
+ --cache-file="${S}"/configuring.cache \
+ $(use_enable static-libs static) \
+ $(use_enable dovecot dovecotauth) \
+ $(use_with trashquota) \
+ ${myconf}
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+
+ if use authlib ; then
+ fperms 4755 /usr/bin/maildrop
+ fi
+
+ dodoc AUTHORS ChangeLog INSTALL NEWS README \
+ README.postfix README.dovecotauth UPGRADE \
+ maildroptips.txt
+ docinto maildir
+ dodoc libs/maildir/AUTHORS libs/maildir/INSTALL \
+ libs/maildir/README*.txt libs/maildir/*.html
+
+ # bugs #61116 #374009
+ if ! use tools ; then
+ for tool in "maildirmake" "deliverquota"; do
+ rm "${D}/usr/bin/${tool}"
+ rm "${D}/usr/share/man/man"[0-9]"/${tool}."[0-9]
+ rm "${D}/usr/share/maildrop/html/${tool}.html"
+ done
+ rm "${D}/usr/share/man/man5/maildir.5"
+ fi
+
+ insinto /etc
+ doins "${FILESDIR}"/maildroprc
+
+ use static-libs || find "${D}"/usr/lib* -name '*.la' -delete
+}